# Svc_Conf.h File Reference

`#include "ace/Obstack.h"`
`#include "ace/Service_Config.h"`
`#include "ace/Parse_Node.h"`

Include dependency graph for Svc_Conf.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Svc_Conf_Param
| An instance of this object will be passed down to the yyparse() and yylex() functions. More...
union | ACE_YYSTYPE

## Defines

#define | ACE_YY_DECL extern "C" int ace_yylex (ACE_YYSTYPE *ace_yylval, void *ACE_YYLEX_PARAM)
#define | ACE_YYPARSE_PARAM ace_svc_conf_parameter
#define | ACE_YYLEX_PARAM ACE_YYPARSE_PARAM
#define | ACE_SVC_CONF_PARAM (static_cast<ACE_Svc_Conf_Param *> (ACE_YYLEX_PARAM))

## Functions

void | ace_yy_delete_buffer (ace_yy_buffer_state *buffer)
int | ace_yyparse (void *)
| Performs the parsing.
void | ace_yyerror (int yyerrno, int yylineno, const char *)
| Error handling routine required by YACC or BISON.
ACE_Service_Type_Impl * | ace_create_service_type (const ACE_TCHAR *, int, void *, unsigned int, ACE_Service_Object_Exterminator=0)
| Factory that creates a new ACE_Service_Type_Impl.

## Variables

| ACE_YY_DECL
| Performs the lexical analysis.
FILE * | ace_yyin
| Name of input stream.
ACE_TCHAR * | ace_yytext
| Holds the lexeme for the current token.
int | ace_yyleng
| Holds the length of the lexeme for the current token.

## Detailed Description

Id
  Svc_Conf.h,v 4.39 2006/01/09 15:18:53 elliott_c Exp

Author:
  Doug Schmidt

## Define Documentation

#define ACE_SVC_CONF_PARAM (static_cast<ACE_Svc_Conf_Param *> (ACE_YYLEX_PARAM))

#define ACE_YY_DECL extern "C" int ace_yylex (ACE_YYSTYPE *ace_yylval, void *ACE_YYLEX_PARAM)

#define ACE_YYLEX_PARAM ACE_YYPARSE_PARAM

#define ACE_YYPARSE_PARAM ace_svc_conf_parameter

## Function Documentation

ACE_Service_Type_Impl* ace_create_service_type | ( | const ACE_TCHAR * | ,
|  | int | ,
|  | void * | ,
|  | unsigned | int,
|  | ACE_Service_Object_Exterminator | = `0`
| ) |

| Factory that creates a new ACE_Service_Type_Impl.

void ace_yy_delete_buffer | ( | ace_yy_buffer_state * | buffer | ) |

void ace_yyerror | ( | int | yyerrno,
|  | int | yylineno,
|  | const char * |
| ) |

| Error handling routine required by YACC or BISON.

int ace_yyparse | ( | void * |  | ) |

| Performs the parsing.

## Variable Documentation

ACE_YY_DECL

| Performs the lexical analysis.

FILE* ace_yyin

| Name of input stream.

int ace_yyleng

| Holds the length of the lexeme for the current token.

ACE_TCHAR* ace_yytext

| Holds the lexeme for the current token.